<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://devrohit.com/
 * @since      1.1.0
 *
 * @package    Dr_Affilate
 * @subpackage Dr_Affilate/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">

<h2 class="">Setting</h2>
<form method="post" name="cleanup_options" action="options.php">
    <?php
        //Grab all options
        $options = get_option($this->plugin_name);
        // Cleanup
        $link_prefix = empty($options['link_prefix'])? 'offers': $options['link_prefix'];
        $license_key = empty($options['license_key'])? 'jnkjsndk-asjdasdk-asjdnajs-ajsdnk' : $options['license_key'];
        $blocked_bot = empty($options['blocked_bot'])? [] : $options['blocked_bot'];
        $review = empty($options['review']) ? 0: 1;
        $rapid = empty($options['rapid_api']) ? '0b4c4f1818msh1ac0d48c6697d0cp1892a3jsncf90e9c544d8': $options['rapid_api'];
    ?>

    <?php
        settings_fields($this->plugin_name);
        do_settings_sections($this->plugin_name);
    ?>
    <p>The prefix that comes before your cloaked link's slug.
        eg. <?= site_url().'/<b>'.$link_prefix.'</b>';?>/your-affiliate-link-name.
    </p>
    <!-- remove some meta and generators from the <head> -->
    <div class="row">
        <div class="column">
            <span class="label"><?php esc_attr_e('Link Prefix', $this->plugin_name); ?></span>
        </div>
        <div class="column">
            <input type="text" required class="regular-text" placeholder="link prefix" id="<?php echo $this->plugin_name; ?>-link" name="<?php echo $this->plugin_name; ?>[link_prefix]" value="<?php if(!empty($link_prefix)) echo $link_prefix; ?>"/>
        </div>
    </div>
    <p>Warning : Changing this setting after you've used links in a post could break those links. Be careful!</p>
    <!-- remove injected CSS from comments widgets -->
    <!-- <div class="row">
        <div class="column">
            <span class="label"><?php esc_attr_e('License key', $this->plugin_name); ?></span>
        </div>
        <div class="column">-->
            <input type="hidden" class="regular-text" id="<?php //echo $this->plugin_name; ?>-license" name="<?php echo $this->plugin_name; ?>[license_key]" value="<?php if(!empty($license_key)) echo $license_key; ?>"/>
        <!-- </div>
    </div>  -->
    <input type="hidden" name="<?php echo $this->plugin_name; ?>[review]" value="<?php  echo $review;  ?>"/>
    <input type="hidden" name="<?php echo $this->plugin_name; ?>[rapid_api]" value="<?php if(!empty($rapid)) { echo $rapid; }?>">
    <input type='hidden' name="<?php echo $this->plugin_name; ?>[blocked_bot]" id="blocked_bot">
    <!-- remove injected CSS from gallery -->
    <p>Blocks bots accessing your affiliate links to give you a more appropriate data in the report. Select bots, or enter new ones to block.</p>
    <div class="row">
        <div class="column">
            <span class="label"><?php esc_attr_e('Blocked Bots', $this->plugin_name); ?></span>
        </div>
        <div class="column">
            <div class="multiselect <?php if(!empty($blocked_bot)) { echo 'selection';} ?>" id="<?php echo $this->plugin_name; ?>-blocked_bot" multiple="multiple" name="" data-target="multi-0">
                <div class="title noselect" <?php if(!empty($blocked_bot)) { echo implode(',', $blocked_bot); }?>>
                    <span class="text"><?php if(!empty($blocked_bot)) { echo implode(',', $blocked_bot); }else { echo 'Select';}?></span>
                    <span class="close-icon">&times;</span>
                    <span class="expand-icon">&plus;</span>
                </div>
                <div class="container">
                    <option value="gbot" <?php if(in_array('gbot',$blocked_bot)) { echo 'class="selected"';}?>>Google Bot</option>
                    <option value="fbot" <?php if(in_array('fbot',$blocked_bot)) { echo 'class="selected"';}?>>Facebook Bot</option>
                </div>
            </div>
        </div>
    </div>
    <?php submit_button('Save all changes', 'primary','submit', TRUE); ?>

    </form>
</div>