<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://devrohit.com/
 * @since      1.1.0
 *
 * @package    Dr_Affilate
 * @subpackage Dr_Affilate/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.1.0
 * @package    Dr_Affilate
 * @subpackage Dr_Affilate/includes
 * @author     Rohit Urane <rohiturane50@gmail.com>
 */
class Dr_Affilate_Deactivator {

	/**
	 * After deactivate plugin run this function
	 *
	 * Long Description.
	 *
	 * @since    1.1.0
	 */
	public static function deactivate() {
		
	}

}
